package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ApprovalSetDto  implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1541809229320522838L;
	
	private Integer id;
	private Integer orgId;
	private Integer isOpen;//是否开启多级审核；0-未开启；1-开启；
	private Integer isViews;//是否开启浏览量展示；
	private Integer [] delIds;//删除的审核类型
	private List<ApprovalTypeDto> typeList = new ArrayList<ApprovalTypeDto>();
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getOrgId() {
		return orgId;
	}
	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	public Integer getIsOpen() {
		return isOpen;
	}
	public void setIsOpen(Integer isOpen) {
		this.isOpen = isOpen;
	}
	public List<ApprovalTypeDto> getTypeList() {
		return typeList;
	}
	public void setTypeList(List<ApprovalTypeDto> typeList) {
		this.typeList = typeList;
	}
	public Integer[] getDelIds() {
		return delIds;
	}
	public void setDelIds(Integer[] delIds) {
		this.delIds = delIds;
	}
	public Integer getIsViews() {
		return isViews;
	}
	public void setIsViews(Integer isViews) {
		this.isViews = isViews;
	}
	
	
	
}
